You need to enable JavaScript to run this app.
Torch Object Storage

Torch Object Storage

Copy page
Download PDF
Vector index
GetIndex
Copy page
Download PDF
GetIndex
Description​
Retrieve vector bucket index information.​
Request syntax​
The endpoint must use the Bucket Endpoint.​
​
POST /GetIndex HTTP/1.1​
Host: {VectorBucketName}-{AccountID}.tosvectors-cn-beijing.volces.com​
Authorization: authorization string​
Date: Mon, 10 Dec 2025 12:49:14 GMT​
​
{​
"vectorBucketName": "test-vector-bucket",​
"indexName":"test-index"​
}​
​
Request parameters and headers ​
None.​
Request body elements​
​
Field name​
Type​
Required​
Example value​
Description​
vectorBucketName​
String​
Yes​
test-vector-bucket​
The name of the vector bucket to which the index to obtain belongs.​
indexName​
String​
Yes​
test-index​
Name of the vector index to retrieve.​
​
Response headers​
For common response headers, see Common parameters.​
Response body elements​
If the operation succeeds, the service returns an HTTP 200 response with the following response body elements.​
If the operation fails, it returns the error code defined in the Response code.​
​
Field name​
Type​
Example value​
Description​
index​
Index​
See index definition​
Timestamp for index creation.​
​
Index structure parameter description:​
​
Field name​
Type​
Example value​
Description​
vectorBucketName​
String​
test-vector-bucket​
The name of the vector bucket.​
indexName​
String​
test-index​
Name of the vector index.​
creationTime​
number​
1764319996​
Timestamp of index creation.​
dataType​
String​
float32​
Data type of the vector.​
dimension​
number​
5​
Vector dimension.​
distanceMetric​
String​
euclidean​
Distance metric for similarity search.​
indexTrn​
String​
trn:tosvectors:cn-beijing:11111:bucket/test-vector-bucket/index/test-index​
TRN of the vector index.​
metadataConfiguration​
MetadataConfiguration​
{ "nonFilterableMetadataKeys": [​
"key_c",​
"key_d"​
]​
}​
Metadata configuration.​
​
MetadataConfiguration structure parameter description:​
​
Field name​
Type​
Example value​
Description​
nonFilterableMetadataKeys​
string[]​
["key_c", "key_d"]​
List of metadata keys not allowed for filtering.​
​
Sample request​
​
POST /GetIndex HTTP/1.1​
Host: test-vector-bucket-1111.tosvectors-cn-beijing.volces.com​
Authorization: authorization string​
Date: Mon, 10 Dec 2025 12:49:14 GMT​
​
{​
"vectorBucketName": "test-vector-bucket",​
"indexName":"test-index"​
}​
​
Sample response​
​
HTTP/1.1 200 OK​
x-tos-id-2: 797014003c90a9b694003c9-b15a995-1vV80n-CVB-cb-tos-1az-front-azd-vectors-2 ​
x-tos-request-id: 797014003c90a9b694003c9-b15a995-1vV80n-CVB-cb-tos-1az-front-azd-vectors-2 ​
Date: Mon, 10 Dec 2025 12:49:14 GMT​
server: TosServer​
Content-Length: 331​
​
{​
"index": {​
"creationTime": 1765804225,​
"dataType": "float32",​
"dimension": 5,​
"distanceMetric": "euclidean",​
"indexName": "test-index",​
"indexTrn": "trn:tosvectors:cn-beijing:1111:bucket/test-vector-bucket/index/test-index",​
"vectorBucketName": "test-vector-bucket",​
"metadataConfiguration": {​
"nonFilterableMetadataKeys": [​
"key_a",​
"key_b"​
]​
}​
}​
}​
​
​
Last updated: 2026.01.04 14:21:24